Subject: IETF 96 To Open for Registration Soon

From: IETF Administrative Director <[email-masked]>
Date: Thu, 05 May 2016 18:13:41 -0700

All,

We had hoped to open registration for IETF 96 in Berlin in April.

We have been delayed in opening registration due to a failure to
have a mechanism in place to originate Letters of Invitation from
Germany.  We have identified an originator and the final details are
being put in place to begin issuing local Letters of Invitation, and
have reason to believe this will be in place in the next twenty-four
hours.

We apologize for the delay and expect to announce the opening of
registration tomorrow.

Ray